--- debathena-attach-9.4.30.orig/debian/compat
+++ debathena-attach-9.4.30/debian/compat
@@ -0,0 +1 @@
+4
--- debathena-attach-9.4.30.orig/debian/control.in
+++ debathena-attach-9.4.30/debian/control.in
@@ -0,0 +1,15 @@
+Source: debathena-attach
+Section: debathena/net
+Priority: extra
+Maintainer: Debian-Athena Project <debathena@mit.edu>
+Build-Depends: @cdbs@, comerr-dev, libopenafs-dev, libkrb5-dev, libhesiod-dev, libzephyr-dev, libzephyr3-krb, debathena-liblocker-dev, debathena-libathdir-dev
+Standards-Version: 3.7.2
+
+Package: debathena-attach
+Architecture: any
+Provides: attach
+Depends: ${shlibs:Depends}, ${misc:Depends}, libzephyr3-krb, debathena-liblocker (>= 9.4), zephyr-clients
+Description: An Athena utility to attach a remote file system to the workstation
+ The attach utility is a filesystem-independent utility which allows you 
+ to attach a filesystem to a directory hierarchy on a workstation.  
+ Currently supported filesystem types are AFS, NFS, and UFS.
--- debathena-attach-9.4.30.orig/debian/copyright
+++ debathena-attach-9.4.30/debian/copyright
@@ -0,0 +1,20 @@
+The Athena source code was obtained from the Athena CVS repository at
+/afs/dev.mit.edu/source, and is licensed as follows:
+
+  Copyright 1996 by the Massachusetts Institute of Technology.
+
+  Permission to use, copy, modify, and distribute this
+  software and its documentation for any purpose and without
+  fee is hereby granted, provided that the above copyright
+  notice appear in all copies and that both that copyright
+  notice and this permission notice appear in supporting
+  documentation, and that the name of M.I.T. not be used in
+  advertising or publicity pertaining to distribution of the
+  software without specific, written prior permission.
+  M.I.T. makes no representations about the suitability of
+  this software for any purpose.  It is provided "as is"
+  without express or implied warranty.
+
+This Debian package was created as part of the Debian-Athena Project
+<http://web.mit.edu/debathena/www/> of the MIT Student Information
+Processing Board, and is released to the public domain.
--- debathena-attach-9.4.30.orig/debian/control
+++ debathena-attach-9.4.30/debian/control
@@ -0,0 +1,15 @@
+Source: debathena-attach
+Section: debathena/net
+Priority: extra
+Maintainer: Debian-Athena Project <debathena@mit.edu>
+Build-Depends: cdbs (>= 0.4.23-1.1), autotools-dev, debhelper (>= 4.2.0), autoconf, comerr-dev, libopenafs-dev, libkrb5-dev, libhesiod-dev, libzephyr-dev, libzephyr3-krb, debathena-liblocker-dev, debathena-libathdir-dev
+Standards-Version: 3.7.2
+
+Package: debathena-attach
+Architecture: any
+Provides: attach
+Depends: ${shlibs:Depends}, ${misc:Depends}, libzephyr3-krb, debathena-liblocker (>= 9.4), zephyr-clients
+Description: An Athena utility to attach a remote file system to the workstation
+ The attach utility is a filesystem-independent utility which allows you 
+ to attach a filesystem to a directory hierarchy on a workstation.  
+ Currently supported filesystem types are AFS, NFS, and UFS.
--- debathena-attach-9.4.30.orig/debian/rules
+++ debathena-attach-9.4.30/debian/rules
@@ -0,0 +1,11 @@
+#!/usr/bin/make -f
+
+DEB_AUTO_UPDATE_DEBIAN_CONTROL = 1
+DEB_AUTO_UPDATE_AUTOCONF = 1
+include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/class/autotools.mk
+
+DEB_CONFIGURE_EXTRA_FLAGS += lbindir=/bin lsbindir=/sbin --with-afs=/usr --with-krb4=$(shell krb5-config --prefix krb4) --with-hesiod
+
+clean::
+	rm -f configure
--- debathena-attach-9.4.30.orig/debian/changelog
+++ debathena-attach-9.4.30/debian/changelog
@@ -0,0 +1,29 @@
+debathena-attach (9.4.30-0debathena5) unstable; urgency=low
+
+  * Section: debathena/net.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 17 Jul 2007 06:33:36 -0400
+
+debathena-attach (9.4.30-0debathena4) unstable; urgency=low
+
+  * Depend zephyr-clients (for zhm) so that fsid works.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 26 Jun 2007 17:46:27 -0400
+
+debathena-attach (9.4.30-0debathena3) unstable; urgency=low
+
+  * Modified to be setgid attach.
+
+ -- Tim Abbott <tabbott@mit.edu>  Sat, 28 Apr 2007 22:41:24 -0400
+
+debathena-attach (9.4.30-0debathena2) unstable; urgency=low
+
+  * Rebuild against new debathena-liblocker.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 24 Apr 2007 19:54:24 -0400
+
+debathena-attach (9.4.30-0debathena1) unstable; urgency=low
+
+  * Initial release.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 30 Jan 2007 01:06:14 -0500
--- debathena-attach-9.4.30.orig/debian/debathena-attach.postinst
+++ debathena-attach-9.4.30/debian/debathena-attach.postinst
@@ -0,0 +1,46 @@
+#!/bin/sh
+# postinst script for debathena-attach
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+	# Setup attach binary for setgid-attach.
+	if ! dpkg-statoverride --list /bin/attach >/dev/null; then
+	    chgrp attach /bin/attach
+	    chmod a=rx,u+w,g+s /bin/attach
+	fi
+	;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+	;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
